|  | Home · All Classes · Modules

# QHelpSearchResultWidget Class Reference
[QtHelp module]

The QHelpSearchResultWidget class provides either a tree widget or a text browser depending on the used search engine to display the hits found by the search. More...

Inherits QWidget.

### Methods

- QUrl linkAt (self, QPoint point)

### Qt Signals

- void requestShowLink (const QUrl&)

## Detailed Description

The QHelpSearchResultWidget class provides either a tree widget or a text browser depending on the used search engine to display the hits found by the search.

## Method Documentation

### QUrl QHelpSearchResultWidget.linkAt (self, QPoint point)

Returns a reference of the URL that the item at point owns, or an empty URL if no item exists at that point.

## Qt Signal Documentation

### void requestShowLink (const QUrl&)

This is the default overload of this signal.

This signal is emitted when a item is activated and its associated link should be shown.